Subject: Re: [PATCH v2 2/2] i2c: iproc: add slave pec support

From: Wolfram Sang <[email-masked]>
Date: Thu, 23 Jul 2020 22:20:53 +0200

> +	/* Enable partial slave HW PEC support if requested by the client */
> +	iproc_i2c->en_s_pec = !!(slave->flags & I2C_CLIENT_PEC);
> +	if (iproc_i2c->en_s_pec)
> +		dev_info(iproc_i2c->device, "Enable PEC\n");

Where do you set the I2C_CLIENT_PEC flag for the slave? Is your backend
code publicly available?

I may need a second thought here, but I am not sure I2C_CLIENT_PEC is
the right way to enable PEC. Isn't it actually depending on the backend
if PEC is needed? I.e. is the backend an I2C device or an SMBus device?

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel